// be sure to load the Modernizr script in your html page before
// loading this audio script!
/*global Modernizr, Audio */

var gv_gameAudio = (function() {
    var audioExtension;

    function getAudioExtension() {
        var ii;
        var fileExtensions = ["wav", "mp3"];

        for (ii = 0; ii < fileExtensions.length; ii++) {
            if (Modernizr.audio[fileExtensions[ii]] === "probably" ) {
                return fileExtensions[ii];
            }
        }

        for (ii = 0; ii < fileExtensions.length; ii++) {
            if (Modernizr.audio[fileExtensions[ii]] === "maybe" ) {
                return fileExtensions[ii];
            }
        }

        return null;
    }
    audioExtension = getAudioExtension();

    function createSound(fileName) {
        return new Audio("audio/" + fileName + "." + audioExtension);
    }

    function debug() {
        alert("mp3: " + Modernizr.audio.mp3 + ", wav: " + Modernizr.audio.wav);
    }

    return {
        createSound : createSound,
        debug : debug
    };

}());
